Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Class FixedSortKeyDefinition

    java.lang.Object
      net.sf.saxon.sort.SortKeyDefinition
          net.sf.saxon.sort.FixedSortKeyDefinition

All Implemented Interfaces:
  java.io.Serializable

public final class FixedSortKeyDefinition
extends SortKeyDefinition

A FixedSortKeyDefinition is a SortKeyDefinition in which all aspects of the sort key definition (sort order, data type, etc,) are known. A SortKeyDefinition defines one component of a sort key.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.sort.SortKeyDefinition
`baseURI, caseOrder, collation, collationName, dataTypeExpression, emptyLeast, language, order, parentExpression, sortKey`

Constructor Summary
`FixedSortKeyDefinition()`

Method Summary
`void` | `bindComparer(XPathContext context)` Allocate a reusable Comparer to implement this sort key comparison
`java.util.Comparator` | `getComparer()` Get the comparer which is used to compare two values according to this sort key.
`FixedSortKeyDefinition` | `reduce(XPathContext context)` Eliminate dependencies of the sort key definition on the context.
`SortKeyDefinition` | `simplify()`

Methods inherited from class net.sf.saxon.sort.SortKeyDefinition
`getBaseURI, getCaseOrder, getCollation, getCollationName, getDataTypeExpression, getEmptyLeast, getLanguage, getOrder, getParentExpression, getSortKey, setBaseURI, setCaseOrder, setCollation, setCollationName, setDataTypeExpression, setEmptyLeast, setLanguage, setOrder, setParentExpression, setSortKey, simplify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedSortKeyDefinition

    public FixedSortKeyDefinition()

Method Detail

### simplify

    public SortKeyDefinition simplify()

### reduce

    public FixedSortKeyDefinition reduce(XPathContext context)

  Eliminate dependencies of the sort key definition on the context. For the sort key select expression, this means things that don't depend on the individual node: specifically, variables and current-group(). For the AVTs used to select data type, case order, language, it means all dependencies: after reduction, these values will be constants.

  Overrides:
    `reduce` in class `SortKeyDefinition`

### bindComparer

    public void bindComparer(XPathContext context)
                      throws XPathException

  Allocate a reusable Comparer to implement this sort key comparison

  Throws:
    `XPathException`

### getComparer

    public java.util.Comparator getComparer()

  Get the comparer which is used to compare two values according to this sort key.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD